galileo(1)

NAME
galileo - synchronize Fitbit devices

SYNOPSIS
galileo [-h] [-c FILENAME] [--dump-dir DIR] [--daemon-period PERIOD] [-I ID[ ID ... ] ] [-X ID[ ID ... ] ] [-v|-d|-q] [--force|--no-force] [--dump|--no-dump] [--upload|--no-upload] [--https-only|--no-https-only] [-s SERVERNAME] [--log-size SIZE] [--syslog|--no-syslog] [sync|daemon|version]

DESCRIPTION
Synchronize Fitbit wearable fitness tracker devices with the Fitbit web service. Visit < https://www.fitbit.com >, or use a Fitbit-compatible app in order to browse your data.

MODES

sync
    Perform the synchronization of all found trackers, then exit. This is the default mode if none is specified.

daemon
    Periodically perform synchronization of all found trackers. galileo will periodically perform synchronization until the daemon is killed. The period can be controlled via the --daemon-period option.

version
    Display the galileo version and exit.

interactive
    This spawn an interactive shell to allow sending arbitrary commands to the dongle and the tracker. This is meant to allow experimenting with new commands, or different command orders. To be used by experts only.

pair
    This mode, in an experimental state, allow you to link your tracker with your Fitbit online account. This is needed before being able to use any new tracker. In order to use this mode, you need an account in the Fitbit online platform, and a tracker. The parameters for this mode are taken from the hardcoded-ui section of the galileorc(5) file.

OPTIONS

-h, --help
    show command-line usage and exit.

-c RCCONFIGNAME, --config RCCONFIGNAME
    use RCCONFIGNAME as extra configuration file in order to allow overriding of settings.

The remaining options are first read from configuration file, and can be overridden by using command line switches. For this reason, positive and negative versions are available (--foo and --no-foo). Please see galileorc(5) for more information about the configuration files.

  Logging options:

-v, --verbose
    display general information on progress during synchronization.

-d, --debug
    as --verbose, but also shows internal activity useful for diagnosing problems.

-q, --quiet
    show no output except for errors and a summary. This is the default if no other logging options are specified.

--syslog
    send logging output to the syslog facility. Due to the rate-limiting of some syslog servers, this option might not work in combination with the debug log level.

--no-syslog
    send logging output to stderr.

  Synchronization control options:

-I ID [ID ...], --include ID [ID ...]
    list of tracker IDs to synchronize (if not set, all found trackers are synchronized).

-X ID [ID ...], --exclude ID [ID ...]
    list of tracker IDs to avoid synchronizing (no trackers are excluded by default).

--force
    a tracker will not be synchronized with the Fitbit web service if it reports that it was recently synchronized. This option overrides that behavior.

--no-force
    if the configuration file includes the force-sync option to always force synchronization, this option will restore the default behaviour.

--daemon-period PERIOD
    set the time to wait between synchronizations when running in daemon mode. The period is specified in milliseconds and defaults to 15000 (15 seconds).

  Tracker data saving options:

--dump
    save a copy of the tracker data. Tracker data is stored under a tracker-specific subdirectory of a directory that is set using the --dump-dir option. This is the default behavior.

--no-dump
    disables the saving of tracker data.

--dump-dir DIR
    the directory used to store the tracker dumps (defaults to ~/.galileo).

  Data transfer options:

--upload
    synchronize tracker data with the Fitbit web service. This is the default.

--no-upload
    prevent the uploading of tracker data to the Fitbit web service. Data is not deleted from trackers until it is acknowledged by the fitbit server so this will not result in data loss.

--https-only
    data sent to the Fitbit web service will be transferred via a secure connection using HTTPS. This is the default.

--no-https-only
    if HTTPS connection is not possible, this will allow the fallback to HTTP. This should only be required if problems with encryption libraries prevent data transfer without this option.

-s SERVERNAME, --fitbit-server SERVERNAME
    the server to connect to when performing the synchronization (default to api.fitbit.com).

--log-size SIZE
    indicate the amount of communication that should be displayed in case of errors. Galileo will keep in memory the last SIZE communications to help debugging if an error happen. This is particularly useful in case of hard-to-reproduce issues, where it is too late to collect debug information. Default to 10. Set to 0 to disable this functionality.

REQUIREMENTS
An original Fitbit Bluetooth-LE USB synchronization dongle is required.

The Fitbit tracker must already be registered to your Fitbit account (see the BUGS section).

FILES

/etc/galileo/config, $XDG_CONFIG_HOME/galileo/config, ~/.galileorc
    The configuration files used for default settings. See galileorc(5) for further details about those files

SEE ALSO

<http://www.fitbit.com>
    The Fitbit web service where synchronized tracker data may be viewed.

<https://bitbucket.org/benallard/galileo>
    The galileo homepage where additional information is available.

galileorc(5)
    The format of the configuration file providing default settings.

AUTHOR
Written and maintained by Benoît Allard, with contributions from other authors.

BUGS
There are no current facilities to make use of the data stored with the --dump command.

Please report additional bugs to <https://bitbucket.org/benallard/galileo/issues>